﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SummarySettingsTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = GetEmployeeOptions();
            UltraGridBand band = this.ultraGrid1.DisplayLayout.Bands[0];

            // Add a summary and set the summary position to UseSummaryPositionColumn so that it shows up under a specified summary position column of the same band
            SummarySettings summary = band.Summaries.Add(SummaryType.Sum, null, band.Columns["OptionID"], SummaryPosition.UseSummaryPositionColumn, band.Columns["Employee"]);

            //Which would result for the sum of cells under the column OptionID would be displayed underneath the Employee column. 

        }

        private DataTable GetEmployeeOptions()
        {
            DataTable dtData = new DataTable("EmployeeOptions");

            dtData.Columns.Add("OptionID", typeof(int));
            dtData.Columns.Add("Employee", typeof(int));
            dtData.Columns.Add("Option", typeof(string));
            dtData.Columns.Add("Description", typeof(string));


            for (int i = 0; i < 5; i++)
            {
                dtData.Rows.Add(new object[] { i, i % 2, string.Format("Option {0}", i), String.Format("Option Description {0}", i) });
            }

            dtData.PrimaryKey = new DataColumn[] { dtData.Columns["OptionID"] };

            return dtData;
        }
    }
}
